View Issue Details

IDProjectCategoryLast Update
0022136AI War 2[All Projects] Bug - OtherDec 27, 2019 4:35 pm
ReporterFlypasteAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version1.007 The Player/AI Arms Race Intensifies 
Fixed in VersionBETA 1.1 So Much Stuff We Can't Even, But More Is Still Coming 
Summary0022136: Modloader isn't overriding existing entries with is_partial
DescriptionWhen using is_partial, the modloader is supposed to override the existing entry's data with the new data. It is not doing this. It is instead appending the new data to the end of the entry. This is causing duplicates.

For example, trying to change the parasitic starting fleet's mugger line size from 4 to 2 instead creates a new mugger line with 2 ships.
This results in the fleet now having a line of 4, AND a line of 2 muggers.
TagsNo tags attached.

Relationships

related to 0021849 resolvedx4000Bughunter XML editing existing units issue 
related to 0022433 resolvedx4000Bughunter Flag is_partial_record="true" seemingly does not apply to all properties 

Activities

x4000Bughunter

Dec 3, 2019 4:40 pm

administrator   ~0054783

So, it apparently needs to be is_partial_record="true" for that to work. Does it work when it's that wording?

Flypaste

Dec 5, 2019 6:21 pm

reporter   ~0054836

Yes, that is what I used and it did not work. Here is the file:

CMP_StartingFleetDesigns.xml (6,000 bytes)

x4000Bughunter

Dec 27, 2019 3:52 pm

administrator   ~0055190

Last edited: Dec 27, 2019 3:54 pm

View 2 revisions

Related to this, but not exactly this:

* Both ai_ship_group_membership and fleet_membership now properly adjust the existing membership when there is a duplicate entry entered for them (from a mod or whatever else) linking a given ship type to a given template or group. It now adjusts the weight and so on in the template or group, rather than adding a duplicate entry.
** Note that if you change the category for a template, it will assume you mean it to be a duplicate and will add that accordingly. There really should never be any valid reason to mod the category of a ship, but if you must then you can just 0 out the min and max of the old one maybe?

Thanks!

x4000Bughunter

Dec 27, 2019 4:35 pm

administrator   ~0055191

Thanks! The mod that you posted the xml for here now works as you would expect.

* Creating a mod to replace or redefine parts of the fleet design templates (like the starting fleets) now works properly rather than creating duplicate entries or extra counts or both.
** Note that if you choose to change the category of ships from HERE, that will work fine. You just can't change categories of fleet template items from within the game entity side.
** Also please note that this change now prevents you from having duplicate lines of the exact same type of ship in a starting fleet. So something with two lines of fusion bombers would not work anymore, for instance, even with no mods in play, and would just take the count of the last fusion bomber entry and use that.
*** This doesn't stop you from using multiple duplicate ship lines in-game of course, but it does stop it in the starting fleet designs, none of which (that are still active) were using that function anyhow.

Issue History

Date Modified Username Field Change
Nov 8, 2019 6:01 pm Flypaste New Issue
Nov 8, 2019 6:02 pm Flypaste Description Updated View Revisions
Nov 8, 2019 6:27 pm Flypaste Summary Modloader isn't overriding existing entires with is_partial => Modloader isn't overriding existing entries with is_partial
Dec 3, 2019 4:40 pm x4000Bughunter Assigned To => x4000Bughunter
Dec 3, 2019 4:40 pm x4000Bughunter Status new => feedback
Dec 3, 2019 4:40 pm x4000Bughunter Note Added: 0054783
Dec 5, 2019 6:21 pm Flypaste File Added: CMP_StartingFleetDesigns.xml
Dec 5, 2019 6:21 pm Flypaste Note Added: 0054836
Dec 5, 2019 6:21 pm Flypaste Status feedback => assigned
Dec 27, 2019 2:52 pm x4000Bughunter Relationship added related to 0021849
Dec 27, 2019 2:52 pm x4000Bughunter Relationship added related to 0022433
Dec 27, 2019 3:52 pm x4000Bughunter Note Added: 0055190
Dec 27, 2019 3:54 pm x4000Bughunter Note Edited: 0055190 View Revisions
Dec 27, 2019 4:35 pm x4000Bughunter Status assigned => resolved
Dec 27, 2019 4:35 pm x4000Bughunter Resolution open => fixed
Dec 27, 2019 4:35 pm x4000Bughunter Fixed in Version => BETA 1.1 So Much Stuff We Can't Even, But More Is Still Coming
Dec 27, 2019 4:35 pm x4000Bughunter Note Added: 0055191